settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true
console.info('Scripts have been reloaded')

onEvent('recipes', e => {
  /*let remove = (block, type) => {
    e.remove({input: block, type: type})
  }*/
  let multismelt = (output, input, includeBlasting, includeSmoking, includeCampfire) => {
    e.smelting(output, input)
    if (includeBlasting) {e.blasting(output, input)}
    if (includeSmoking) {e.smoking(output, input)}
    if (includeCampfire) {e.campfireCooking(output, input)}}
  multismelt('minecraft:glass', '#minecraft:sand', true, false, false)
  multismelt('mysticalagriculture:soulium_ingot', 'minecraft:iron_ingot', true, false, false)
  multismelt('mysticalagriculture:soulium_dust', 'minecraft:gunpowder', true, false, false)
  multismelt('2x minecraft:bone_meal', 'exnihilosequentia:dust')
  multismelt('minecraft:stone', 'minecraft:cobblestone', false, false, true)
  multismelt('minecraft:smooth_stone', 'minecraft:stone', false, false, true)
  multismelt('mysticalagriculture:prosperity_shard', 'mysticalagriculture:inferium_block', true, false, false)
  multismelt('#forge:ingots/tin', 'kubejs:tin_ore_chunk', true, false, false)
  multismelt('exnihilosequentia:grass_seeds', 'minecraft:dirt', true, true, true)
  multismelt('appliedenergistics2:silicon', '#forge:gems/quartz')
  /*remove("#forge:ores","minecraft:crafting")
  remove("#forge:ores","minecraft:smelting")
  remove("#forge:ores","minecraft:blasting")
  remove("#forge:ores","immersiveengineering:arc_furnace")
  remove("#forge:ores","immersiveengineering:crusher")
  remove("#forge:ores","minecraft:smelting")
  remove("#forge:ores","appliedenergistics2:grindstone")
  remove("#forge:ores","mekanism:enrichment_chamber")
  remove("#forge:ores","thermal:machine_pulverizer")
  remove("#forge:ores","thermal:machine_smelter")
  remove("#forge:ores","create:mechanical_crafter")
  remove("#forge:ores","create:mechanical_mixer")
  remove("#forge:ores","create:crushing_wheel")
  remove("#forge:ores","create:millstone")
  remove("#forge:dusts")
  remove("#create:crushed_ores")
  e.remove({output: "minecraft:gilded_blackstone"})*/
})